#
# spec file for package apache2-mod_telemetry
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           apache2-mod_telemetry
BuildRequires:  apache2-devel pcre-devel
%define modname mod_telemetry
%define apxs /usr/sbin/apxs2
%define apache apache2
%define apache_libexecdir %(%{apxs} -q LIBEXECDIR)
%define apache_sysconfdir %(%{apxs} -q SYSCONFDIR)
%define apache_includedir %(%{apxs} -q INCLUDEDIR)
%define apache_serverroot %(%{apxs} -q PREFIX)
%define apache_localstatedir %(%{apxs} -q LOCALSTATEDIR)
%define apache_mmn        %(MMN=$(%{apxs} -q LIBEXECDIR)_MMN; test -x $MMN && $MMN)
Version:        1.0
Release:        1.1
License:        GPLv2 or later
Group:          Productivity/Networking/Web/Servers
Requires:       apache2 %{apache_mmn} 
Autoreqprov:    on
Summary:        An apache2 module to track and display performance information, grouped by URI
URL:            http://code.google.com/p/modtelemetry/
Source:         http://modtelemetry.googlecode.com/files/modtelemetry-%{version}.tar.gz
Patch1:         modtelemetry-1.0-compile.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
mod_telemetry keeps track of all URLs on your site and how long it takes your
server to deliver each request. It reports these by using a status handler
(like /server-status) to display real-time status information about the
performance of your site.

It is extremely useful in optimizing back-end processes (for example, when
connecting to Java, FastCGI, or Ruby back-ends) to identify when specific pages
are performing slowly.

Because it runs in the server, it's able to show end-to-end performance on each
request

It requires that mod_status be enabled to work.


%prep
%setup -n modtelemetry-%{version}
%patch1 -p1

%build
# see http://code.google.com/p/modtelemetry/issues/detail?id=3 for the reason
# why VERSION is defined here
%{apxs} -DVERSION=%{version} -c mod_telemetry.c

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{apache_libexecdir}
cp -p .libs/mod_telemetry.so $RPM_BUILD_ROOT/%{apache_libexecdir}

%files
%defattr(-,root,root)
%doc AUTHORS
%doc README
%doc INSTALL
%doc ChangeLog
%doc COPYING
%{apache_libexecdir}/%{modname}.so

%changelog
* Sat Nov 14 2009 poeml@cmdline.net
- add modtelemetry-1.0-compile.patch to make it compile
* Sat Nov 14 2009 poeml@cmdline.net
- new package (version 1.0)
